Skip to content

Authors a governance policy.

POST
/v1/m/governance/policies
curl --request POST \
--url https://example.com/v1/m/governance/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "enabled": true, "kind": "abac", "name": "example", "spec": { "rules": [ { "deny": true, "min_aal": 1, "permission": "example", "principal_kind": "", "resource": "example", "verb": "" } ] } }'

Authors a governance policy. Admin-tier and self-audited; the ABAC cache is invalidated AFTER the write commits.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
One of:
object
enabled
boolean
kind
required
Allowed value: abac
name
required
string
>= 1 characters
spec
required
object
rules
required
Array<object>
>= 1 items <= 64 items
Any of:
object
deny
required
boolean
min_aal
integer
<= 3
permission
required
string
>= 1 characters
principal_kind
string
Allowed values: "" user token
resource
string
<= 128 characters
verb
string
Allowed values: "" read write admin

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}